Get agent readiness summary
GET/radar/agent_readiness/summary/{dimension}
Returns a summary of AI agent readiness scores across scanned domains, grouped by the specified dimension. Data is sourced from weekly bulk scans. All values are raw domain counts.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Query Parameters
Get agent readiness summary
curl https://api.cloudflare.com/client/v4/radar/agent_readiness/summary/$DIMENSION \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"result": {
"meta": {
"date": "2026-03-24",
"domainCategories": [
{
"name": "News & Media",
"value": 0
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"successfulDomains": 0,
"totalDomains": 0,
"units": [
{
"name": "*",
"value": "requests"
}
]
},
"summary_0": {
"markdownNegotiation": "45000",
"robotsTxt": "280000"
}
},
"success": true
}Returns Examples
{
"result": {
"meta": {
"date": "2026-03-24",
"domainCategories": [
{
"name": "News & Media",
"value": 0
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"successfulDomains": 0,
"totalDomains": 0,
"units": [
{
"name": "*",
"value": "requests"
}
]
},
"summary_0": {
"markdownNegotiation": "45000",
"robotsTxt": "280000"
}
},
"success": true
}